Network Accounts
Update (2026-01-18)
Invoking the
campaignsendpoint with a network account now returns all campaigns across the network.(Previously, this would return 0 results.)
- To reduce the response size, apply paging and sorting.
- You can also filter for specific campaigns:
GET backstage/api/1.0/{network-account}/campaigns/?campaign_ids=123&campaign_ids=456To fetch basic details for all campaigns across the network, use the
campaigns/baseendpoint.
Introduction
If you manage multiple accounts under a Taboola network, you will be allocated:
- A network account.
- Individual sub-accounts for your network.
Your network account is provided to you by Taboola when your API credentials are first created. You can use it to fetch a list of your individual sub-accounts.
Your network account has a special role, and is not used to create and modify campaigns. You will use your individual sub-accounts for this purpose.
Additional uses of the network account are outlined below.
Fetching account details
To fetch your network account details, use the
users/current/accountendpoint (see above: Get Account Details).Your network account is provided to you during onboarding.
To fetch a list of all sub-accounts in your network, use the
advertisersendpoint (see below: Get Advertiser Accounts in Network).By default, returns sub-accounts (without the network account).
Alternatively, to obtain a list of all accounts for your user credentials, use the
users/current/allowed-accountsendpoint (see below: Get Allowed Accounts).Returns both the network account and all sub-accounts.
Working with campaignsFetch all campaigns across the network:
- Get basic details:
GET backstage/api/1.0/{network-account}/campaigns/base- Get full details:
GET backstage/api/1.0/{network-account}/campaigns/- Filter to specific campaigns:
GET backstage/api/1.0/{network-account}/campaigns/?campaign_ids=123&campaign_ids=456Fetch campaigns for a specific sub-account:
GET backstage/api/1.0/{sub-account}/campaigns/Fetch a single campaign:
GET backstage/api/1.0/{sub-account}/campaigns/{campaign_id}Use the sub-account that owns the campaign. Network accounts cannot fetch individual campaigns.
Update a campaign:
POST backstage/api/1.0/{network-account}/campaigns/{campaign_id}(network account)POST backstage/api/1.0/{sub-account}/campaigns/{campaign_id}(sub-account)
The role of the network account
Your network account has a special role. Its use cases are outlined in the sections that follow.
1. Reporting
- Report on campaign data across the network:
GET backstage/api/1.0/{network-account}/reports/campaign-summary/dimensions/day?start_date=2020-12-30&end_date=2020-12-31
Video CampaignsFor Video Campaign reporting, see: Video campaign reports
2. Create a network-wide Custom Audience Rule (/Conversion Rule)
- Create a Custom Audience Rule (/Conversion Rule) that is available to all sub-accounts in the network:
POST /backstage/api/1.0/{network-account}/universal_pixel/custom_audience_rule/
Audience Rules (/Conversion Rules) created by the network accountA Custom Audience Rule (/Conversion Rule) created by the network account is visible to all sub-accounts:
GET /backstage/api/1.0/{sub-account}/universal_pixel/custom_audience_rule/Similarly, each sub-account can target the audience:
POST /backstage/api/1.0/{sub-account}/campaigns/123/targeting/custom_audienceHowever, only the network account can update the Custom Audience Rule (/Conversion Rule).
A Custom Audience Rule can only be updated by the account that created it.
3. Fetch a list of sub-accounts in your network
- Fetch a list of sub-accounts in your network:
GET /backstage/api/1.0/{network-account}/advertisers
Each sub-account will be used to create campaigns and items.
4. Perform network-wide bulk operations (on campaigns and items)
The network account is not used to create campaigns and items. However, it can be used for network-wide bulk operations. The following operations are supported:
- Fetch basic details for all campaigns across your network (using the
campaigns/baseendpoint):GET backstage/api/1.0/{network-account}/campaigns/base
- Fetch full details for all campaigns across your network (using the
campaignsendpoint):GET backstage/api/1.0/{network-account}/campaigns/- To filter to specific campaigns, use the
campaign_idsquery parameter: GET backstage/api/1.0/{network-account}/campaigns/?campaign_ids=123&campaign_ids=456
- Update a single campaign (using the
campaignsendpoint):POST backstage/api/1.0/{network-account}/campaigns/1234
- Bulk update campaigns across your network:
POST backstage/api/1.0/{network-account}/campaigns/bulk-update
- Bulk update items across your network - e.g. pause all items:
POST backstage/api/1.0/{network-account}/items/bulk
- Bulk delete items across your network:
DELETE backstage/api/1.0/{network-account}/items/bulk
- Bulk create items across your network:
PUT backstage/api/1.0/{network-account}/items/bulk
Limitations of the network account
The network account cannot create campaigns (using the
campaignsendpoint). Attempting to do so will return400 - "Campaigns are not allowed on Networks and Groups".Each campaign must belong to a specific sub-account.
The network account cannot duplicate a campaign to another account.
Only the account that owns the campaign can duplicate it to another account.
The network account cannot fetch details for a given campaign (using the
campaignsendpoint). Attempting to do so will return404 "Resource not found".Only the account that owns the campaign can fetch its full details.
The network account cannot fetch items for a given campaign (using the
itemsendpoint). Attempting to do so will return403 - "Requested action is forbidden".Only the account that owns the campaign can fetch its items.
The network account cannot update a given item or create a new item (using the
itemsendpoint). Attempting to do so will return403 - "Requested action is forbidden".Only the account that owns the campaign can update one of its items or create a new item for it (using the
itemsendpoint).
(The exception to this rule is bulk operations - see above.)
Updated 5 months ago
